<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCessationsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: cessations
         */
        Schema::create('cessations', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('department_id')->nullable();
            $table->integer('gang_id')->nullable();
            $table->text('employees')->nullable();
            $table->string('company_type', 10)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 10)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('cessations');
    }
}
