<?php

namespace Hrm\Cessation;

use DB;
use Illuminate\Database\Seeder;

class CessationTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('cessations')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'cessation.cessation.view',
                'name'      => 'View Cessation',
            ],
            [
                'slug'      => 'cessation.cessation.create',
                'name'      => 'Create Cessation',
            ],
            [
                'slug'      => 'cessation.cessation.edit',
                'name'      => 'Update Cessation',
            ],
            [
                'slug'      => 'cessation.cessation.delete',
                'name'      => 'Delete Cessation',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/cessation/cessation',
                'name'        => 'Cessation',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/cessation/cessation',
                'name'        => 'Cessation',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'cessation',
                'name'        => 'Cessation',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Cessation',
                'module'    => 'Cessation',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'cessation.cessation.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
