<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for cessation in cessation package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  cessation module in cessation package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Cessation',
    'names'         => 'Cessations',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Cessations',
        'sub'   => 'Cessations',
        'list'  => 'List of cessations',
        'edit'  => 'Edit cessation',
        'create'    => 'Create new cessation'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company id',
        'department_id'              => 'Please enter department id',
        'gang_id'                    => 'Please enter gang id',
        'employees'                  => 'Please enter employees',
        'company_type'               => 'Please enter company type',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'department_id'              => 'Department id',
        'gang_id'                    => 'Gang id',
        'employees'                  => 'Employees',
        'company_type'               => 'Company type',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'company_id'                 => ['name' => 'Company id', 'data-column' => 1, 'checked'],
        'department_id'              => ['name' => 'Department id', 'data-column' => 2, 'checked'],
        'gang_id'                    => ['name' => 'Gang id', 'data-column' => 3, 'checked'],
        'employees'                  => ['name' => 'Employees', 'data-column' => 4, 'checked'],
        'company_type'               => ['name' => 'Company type', 'data-column' => 5, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Cessations',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
