<?php

// API routes  for cessation
Route::prefix('{guard}/cessation')->group(function () {
    Route::get('cessation/form/{element}', 'CessationAPIController@form');
    Route::resource('cessation', 'CessationAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for cessations
            Route::prefix('{guard}/cessation')->group(function () {
                Route::get('cessation/form/{element}', 'CessationAPIController@form');
                Route::apiResource('cessation', 'CessationAPIController');
            });
            // Public routes for cessations
            Route::get('cessation/Cessation', 'CessationPublicController@getCessation');
        }
    );
}

