<?php

// web routes  for cessation
Route::prefix('{guard}/cessation')->group(function () {
    Route::resource('cessation', 'CessationResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CessationResourceController');
            });
            // Public routes for pages
            Route::get('cessations/', 'CessationPublicController@index');
            Route::get('cessations/{slug?}', 'CessationPublicController@show');
        }
    );
}

